import { BaseModel } from 'web-base-model';
export declare class User extends BaseModel {
    id: string | number;
    username: string;
    password: string;
    first_name: string;
    last_name: string;
    email: string;
    RoleId: string | number;
    constructor(instance?: any);
}
export declare class Client extends BaseModel {
    id: string | number;
    name: string;
    url: string;
    redirect_uri: string;
    response_type: string;
    client_id: string;
    state: string;
    scope: string;
    constructor(instance?: any);
}
export declare class Role extends BaseModel {
    id: string | number;
    name: string;
    constructor(instance?: any);
}
export declare class Token extends BaseModel {
    id: string | number;
    value: string;
    UserId: string | number;
    ClientId: string | number;
    constructor(instance?: any);
}
export declare class Resource extends BaseModel {
    id: string | number;
    name: string;
    description: string;
    constructor(instance?: any);
}
export declare class Permission extends BaseModel {
    id: string | number;
    ResourceId: string | number;
    RoleId: string | number;
    constructor(instance?: any);
}
